<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/lastline.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/lastline.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/lastline.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>/**
<a name="line4"></a> * @package PHPDoctor\Tests
<a name="line5"></a> */
<a name="line6"></a>class TestLastLine extends DoctorTestCase
<a name="line7"></a>{
<a name="line8"></a>	
<a name="line9"></a>    var $output;
<a name="line10"></a>    
<a name="line11"></a>	function testLastLine() {
<a name="line12"></a>        $this->DoctorTestCase('Last line tests');
<a name="line13"></a>		
<a name="line14"></a>		$this->clearOutputDir();
<a name="line15"></a>		
<a name="line16"></a>		$this->setIniFile('lastline.ini');
<a name="line17"></a>		$this->runPhpDoctor();
<a name="line18"></a>		
<a name="line19"></a>		$this->output = $this->readOutputFile('phpdoctor/tests/lastline.html');
<a name="line20"></a>	}
<a name="line21"></a>	
<a name="line22"></a>	function testNoSlashInDescriptions() {
<a name="line23"></a>		// This will capture all tags without description
<a name="line24"></a>		$this->assertStringDoesNotContain('<dd>/</dd>', $this->output); 
<a name="line25"></a>		$this->assertStringDoesNotContainRx('%<dd>(\s*/\s*)+</dd>%', $this->output);
<a name="line26"></a>	}
<a name="line27"></a>	
<a name="line28"></a>	function testTagOnLastLine() {
<a name="line29"></a>		$this->assertStringContains('<dl>|<dt>Returns:</dt>|<dd>a return tag on the last line</dd>|</dl>', $this->output, true);
<a name="line30"></a>	}
<a name="line31"></a>	
<a name="line32"></a>	function testLastLineEmpty() {
<a name="line33"></a>		$this->assertStringContains('<dl>|<dt>Returns:</dt>|<dd>a return tag followed by an empty line</dd>|</dl>', $this->output, true);
<a name="line34"></a>	}
<a name="line35"></a>	
<a name="line36"></a>	function testLastTwoLinesEmpty() {
<a name="line37"></a>		$this->assertStringContains('<dl>|<dt>Returns:</dt>|<dd>a return tag followed by two empty lines</dd>|</dl>', $this->output, true);
<a name="line38"></a>	}
<a name="line39"></a>	
<a name="line40"></a>}
<a name="line41"></a>
<a name="line42"></a>?>
<a name="line43"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/lastline.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>